Funding Payment Confirmation
POST
/api/fx/payments/{paymentId}/confirmPaid
Code sample: Shell / cURL
curl --request POST \ --url https://api.ztlpay.io/api/fx/payments/example/confirmPaid \ --header 'Authorization: Bearer <token>'Cross-border payment funding confirmation.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”paymentId
required
string
PaymentId for the payment to be confirmedPaid
Responses
Section titled “Responses”Successfully confirmed payment
Media typeapplication/json
object
paymentId
required
The ID assigned to the confirmed payment
string
statusUrl
required
A URL that can be used to get the payment’s current status
string
Example
{ "paymentId": "0db94e47-858c-4486-a0e9-a453e4da025d", "statusUrl": "https://api.sandbox.ztlpay-test.io/api/fx/payments/0db94e47-858c-4486-a0e9-a453e4da025d/status"}Request is not valid
Media typeapplication/json
object
message
A message detailing the reason for the call failing
string
correlationId
A unique identifier used for tracing the call
string
Example
{ "message": "Payment funding has already been confirmed", "correlationId": "7757cdcb-128f-41ba-b3a6-58722e56b0f8"}Payment with given paymentId was not found